Bug 138832 - Cannot compile ports/irc/kvirc-devel
Summary: Cannot compile ports/irc/kvirc-devel
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Max Brazhnikov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-09-15 07:10 UTC by Andrei V. Lavreniyuk
Modified: 2009-09-18 07:10 UTC (History)
0 users

See Also:


Attachments
patch-kvirc-devel-fix-svn-cvs (1.69 KB, text/plain)
2009-09-16 23:59 UTC, Chris Petrik
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrei V. Lavreniyuk 2009-09-15 07:10:04 UTC
# portupgrade kvirc-devel-3.2.6_3
--->  Upgrading 'kvirc-devel-3.2.6_3' to 'kvirc-devel-4.0.r1' (irc/kvirc-devel)
--->  Building '/usr/ports/irc/kvirc-devel'                                    
===>  Cleaning for kvirc-devel-4.0.r1                                          
===>  Vulnerability check disabled, database not found                         
===>  Found saved configuration for kvirc-devel-4.0.r1                         
===>  Extracting for kvirc-devel-4.0.r1                                        
=> MD5 Checksum OK for kvirc-4.0rc1.tar.bz2.                                   
=> SHA256 Checksum OK for kvirc-4.0rc1.tar.bz2.                                
===>   kvirc-devel-4.0.r1 depends on file: /usr/local/bin/perl5.10.1 - found   
===>  Patching for kvirc-devel-4.0.r1                                          
===>   kvirc-devel-4.0.r1 depends on file: /usr/local/bin/perl5.10.1 - found   
===>  Applying FreeBSD patches for kvirc-devel-4.0.r1                          
===>   kvirc-devel-4.0.r1 depends on package: qt4-moc>=4.5.2 - found           
===>   kvirc-devel-4.0.r1 depends on package: qt4-qmake>=4.5.2 - found         
===>   kvirc-devel-4.0.r1 depends on package: qt4-rcc>=4.5.2 - found           
===>   kvirc-devel-4.0.r1 depends on package: qt4-uic>=4.5.2 - found           
===>   kvirc-devel-4.0.r1 depends on package: qt4-dbus>=4.5.2 - found          
===>   kvirc-devel-4.0.r1 depends on package: qt4-webkit>=4.5.2 - found        
===>   kvirc-devel-4.0.r1 depends on package: qt4-gui>=4.5.2 - found           
===>   kvirc-devel-4.0.r1 depends on package: qt4-network>=4.5.2 - found       
===>   kvirc-devel-4.0.r1 depends on package: qt4-sql>=4.5.2 - found           
===>   kvirc-devel-4.0.r1 depends on package: qt4-xml>=4.5.2 - found           
===>   kvirc-devel-4.0.r1 depends on package: qt4-phonon>=4.5.2 - found        
===>   kvirc-devel-4.0.r1 depends on file: /usr/local/bin/perl5.10.1 - found   
===>   kvirc-devel-4.0.r1 depends on file: /usr/local/bin/cmake - found        
===>   kvirc-devel-4.0.r1 depends on shared library: audiofile.0 - found       
===>   kvirc-devel-4.0.r1 depends on shared library: intl - found              
===>  Configuring for kvirc-devel-4.0.r1                                       
-- The C compiler identification is GNU                                        
-- The CXX compiler identification is GNU                                      
-- Check for working C compiler: /usr/bin/cc                                   
-- Check for working C compiler: /usr/bin/cc -- works                          
-- Detecting C compiler ABI info                                               
-- Detecting C compiler ABI info - done                                        
-- Check for working CXX compiler: /usr/bin/c++                                
-- Check for working CXX compiler: /usr/bin/c++ -- works                       
-- Detecting CXX compiler ABI info                                             
-- Detecting CXX compiler ABI info - done                                      
-- Found Subversion                                                            
CMake Error at /usr/local/share/cmake/Modules/FindSubversion.cmake:83 (MESSAGE):
  Command "/usr/local/bin/svn info                                              
  /usr/ports/irc/kvirc-devel/work/kvirc-4.0rc1" failed with output:             

  svn: '/usr/ports/irc/kvirc-devel/work/kvirc-4.0rc1' is not a working copy

Call Stack (most recent call first):
  CMakeLists.txt:59 (Subversion_WC_INFO)


-- No Subversion working copy found
-- Performing Test CXX_HAS_VIH_FLAG
-- Performing Test CXX_HAS_VIH_FLAG - Success
-- Looking for sys/types.h                   
-- Looking for sys/types.h - found           
-- Looking for stdint.h                      
-- Looking for stdint.h - found              
-- Looking for stddef.h                      
-- Looking for stddef.h - found              
-- Check size of short                       
-- Check size of short - done                
-- Check size of int                         
-- Check size of int - done                  
-- Check size of long                        
-- Check size of long - done                 
-- Check size of long long                   
-- Check size of long long - done            
-- Looking for include files SYSTEM_HAS_SYS_TYPES_H
-- Looking for include files SYSTEM_HAS_SYS_TYPES_H - found
-- Looking for include files SYSTEM_HAS_STRINGS_H          
-- Looking for include files SYSTEM_HAS_STRINGS_H - found  
-- Looking for include files CMAKE_HAVE_PTHREAD_H          
-- Looking for include files CMAKE_HAVE_PTHREAD_H - found  
-- Found Threads: TRUE                                     
-- Found ZLIB: /usr/lib/libz.so                            
-- Looking for Q_WS_X11                                    
-- Looking for Q_WS_X11 - found                            
-- Looking for Q_WS_WIN                                    
-- Looking for Q_WS_WIN - not found.                       
-- Looking for Q_WS_QWS                                    
-- Looking for Q_WS_QWS - not found.                       
-- Looking for Q_WS_MAC                                    
-- Looking for Q_WS_MAC - not found.                       
-- Found Qt-Version 4.5.2                                  
-- Found OpenSSL: /usr/lib/libssl.so                       
-- Looking for _POSIX_TIMERS                               
-- Looking for _POSIX_TIMERS - found                       
-- Looking for XOpenDisplay in /usr/local/lib/libX11.so;/usr/local/lib/libXext.so
-- Looking for XOpenDisplay in /usr/local/lib/libX11.so;/usr/local/lib/libXext.so - found
-- Looking for gethostbyname                                                             
-- Looking for gethostbyname - found                                                     
-- Looking for connect                                                                   
-- Looking for connect - found                                                           
-- Looking for remove                                                                    
-- Looking for remove - found                                                            
-- Looking for shmat                                                                     
-- Looking for shmat - found                                                             
-- Looking for IceConnectionNumber in ICE                                                
-- Looking for IceConnectionNumber in ICE - found                                        
-- Found X11: /usr/local/lib/libX11.so                                                   
-- Phonon Version: 4.3.1                                                                 
-- Found Phonon: /usr/local/lib/qt4/libphonon.so                                         
-- Found Phonon Includes: /usr/local/include/qt4/KDE;/usr/local/include/qt4              
-- Found Automoc4: /usr/local/bin/automoc4                                               
-- Found Perl: /usr/bin/perl                                                             
-- Phonon Version: 4.3.1
-- Performing Test _OFFT_IS_64BIT
-- Performing Test _OFFT_IS_64BIT - Success
-- Performing Test HAVE_FPIE_SUPPORT
-- Performing Test HAVE_FPIE_SUPPORT - Success
-- Performing Test __KDE_HAVE_W_OVERLOADED_VIRTUAL
-- Performing Test __KDE_HAVE_W_OVERLOADED_VIRTUAL - Success
-- Performing Test __KDE_HAVE_GCC_VISIBILITY
-- Performing Test __KDE_HAVE_GCC_VISIBILITY - Success
-- Found KDE 4.3 include dir: /usr/local/kde4/include
-- Found KDE 4.3 library dir: /usr/local/kde4/lib
-- Found the KDE4 kconfig_compiler preprocessor: /usr/local/kde4/bin/kconfig_compiler
-- Found automoc4: /usr/local/bin/automoc4
-- Looking for inet_ntoa
-- Looking for inet_ntoa - found
-- Looking for linux/soundcard.h
-- Looking for linux/soundcard.h - not found
-- Looking for sys/soundcard.h
-- Looking for sys/soundcard.h - found
-- Looking for soundcard.h
-- Looking for soundcard.h - not found
--
-- Ok, this is the configuration I've worked out:
--
--   Binary Path                 : /usr/local/bin/kvirc
--   Library Path                : /usr/local/lib/
--   Modules Path                : /usr/local/lib/kvirc/4.0/
--   Debug                       : No
--   Verbose Output              : No
--   Coexistence Support         : No
--   Threading Support           : POSIX
--   X11 Support                 : Yes
--   Qt-DBus Support             : Yes
--   Qt-WebKit Support           : Yes
--   KDE4 Support                : Yes
--   OpenSSL Support             : Yes
--   Crypt Support And Engines   : Yes
--   IPv6 Support                : Yes
--   Pseudo-Transparency Support : Yes
--   Perl Support                : Yes
--   Python Support              : No
--   IPC Support                 : Yes
--   System memmove Support      : Yes
--   GSM Support                 : User disabled
--   DCC Voice Support           : Yes, found sys/soundcard.h
--   Apple Universal Binary      : Not available
--   ix86 asm Support            : No
--   Memory Profile Support      : No
--   Memory Checks Support       : No
--   GetText Support             : Yes, + extra
--   GetText Messages Tidying    : Yes
--   Doxygen Support             : User disabled
--   Enabled Audio Backends      : Phonon;Oss+AudioFile
--
--   Build Date                  : 2009/09/15 05:58:27 UTC
--
-- I'm ready to build KVIrc for you: please type 'make' now...
--
-- Patching for FreeBSD...
-- Found shared-mime-info version: 0.60
-- Configuring incomplete, errors occurred!
*** Error code 1

Stop in /usr/ports/irc/kvirc-devel.
*** Error code 1

Stop in /usr/ports/irc/kvirc-devel.
** Command failed [exit code 1]: /usr/bin/script -qa /var/tmp/portupgrade20090915-81297-bm9lm0-0 env UPGRADE_TOOL=portupgrade UPGRADE_PORT=kvirc-devel-3.2.6_3 UPGRADE_PORT_VER=3.2.6_3 make
** Fix the problem and try again.
** Listing the failed packages (-:ignored / *:skipped / !:failed)
        ! irc/kvirc-devel (kvirc-devel-3.2.6_3) (unknown build error)
Comment 1 Edwin Groothuis freebsd_committer 2009-09-15 07:10:12 UTC
Maintainer of irc/kvirc-devel,

Please note that PR ports/138832 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/138832

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2009-09-15 07:10:14 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Chris Petrik 2009-09-15 19:57:25 UTC
> Maintainer of irc/kvirc-devel,
>
> Please note that PR ports/138832 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/138832
>
> --
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org
>

Can you try upgrading it manually ?
As testing resulted in 0 problems

http://tinderbox.officialunix.com/logs/7.2-FreeBSD/kvirc-devel-4.0rc1.log

Try moving svn to svn.bak and trying to upgrade it, since I wont find svn
it wont bother adding the rev. please let me know if this work so I can
make a patch, regardless later today I will do some testing outside the
tinderbox.
-- 

Chris Petrik
WWW: http://www.officialunix.com
FreeBSD Ports Contributor.
Comment 4 Martin Wilke freebsd_committer 2009-09-16 11:07:33 UTC
Responsible Changed
From-To: freebsd-ports-bugs->makc

could you please take a look?
Comment 5 Chris Petrik 2009-09-16 17:02:22 UTC
I can not reproduce this error, this issue could be the fact that this is a
rc1 snapshot and the cmakefiles requires or wants a svn working copy. Since
I only tried it using svn 3464, and rc1 I doubt that is the reason.

This is not a 8.x issues or else it would of been a compiler error rather a
cmake error.

The error is here, simple to read:
-- Found Subversion
CMake Error at /usr/local/share/cmake/Modules/FindSubversion.cmake:83
(MESSAGE):
Command "/usr/local/bin/svn info
/usr/ports/irc/kvirc-devel/work/kvirc-4.0rc1" failed with output:

svn: '/usr/ports/irc/kvirc-devel/work/kvirc-4.0rc1' is not a working copy

Call Stack (most recent call first):
CMakeLists.txt:59 (Subversion_WC_INFO)

-----
-- Patching for FreeBSD...
-- Found shared-mime-info version: 0.60
-- Configuring incomplete, errors occurred!
*** Error code 1

Stop in /usr/ports/irc/kvirc-devel.
*** Error code 1

I will see if I can remove the SVN test and should fix the issues.

Christopher Petrik
http://www.officialunix.com

Random Quote of the day:
Comment 6 Andrei V. Lavreniyuk 2009-09-16 17:12:24 UTC
Hi!


If rename /usr/local/bin/svn to svn.bak then compile fine.





-- 
  Best regards, Andrei V. Lavreniyuk.
Comment 7 Chris Petrik 2009-09-16 18:05:41 UTC
Hello,

I have made a modification to the port that should remedy this issue,
regardless if svn is installed or not.
The thing is/was the fact that since this is still a snapshot they didn't
disable the check for svn. That said there is an option to add in the rev by
hand -DMANUAL_REVISION=3459 and this disabled the check as it already has
the svn rev. I am currently complaining why this check is/was not disabled
but they don't seem to be bothered by it, it is still "dev" code to some
extent :)

If you want you can try this patch that I will upload to:
http://files.officialunix.com/patch-kvirc-devel-fix-svn

Please give me couple mins to upload the patch.

Christopher Petrik
http://www.officialunix.com

Random Quote of the day:
Joan Crawford<http://www.brainyquote.com/quotes/authors/j/joan_crawford.html>
- "I, Joan Crawford, I believe in the dollar. Everything I earn, I
spend."
Comment 8 Andrei V. Lavreniyuk 2009-09-16 19:05:26 UTC
Hi!

---
http://files.officialunix.com/patch-kvirc-devel-fix-svn

Not Found
The requested URL /patch-kvirc-devel-fix-svn was not found on this server.

---



Patch WITH_KDE4


---

--- Makefile.orig       2009-09-15 13:51:43.000000000 +0300
+++ Makefile    2009-09-16 20:43:05.000000000 +0300
@@ -22,7 +22,6 @@
  QT_COMPONENTS= moc_build qmake_build rcc_build uic_build \
                 dbus webkit gui network sql xml
  USE_CMAKE=     yes
-CMAKE_ARGS=    -DWITHOUT_ESD=yes -DWITHOUT_DOXYGEN=yes
  INSTALLS_ICONS=        yes
  CONFLICTS=     kvirc-3.4.*

@@ -32,9 +31,16 @@
  OPTIONS=       AUDIOFILE "Compile with libaudiofile dependency" on \
                         DEBUG "Compile with debug support" off \
                         GSM "Compile with gsm support" off \
-                       KDE4 "Compile with KDE4 support (broken)" off \
+                       KDE4 "Compile with KDE4 support" off \
                         PHONON "Compile with phonon support" on

+.include <bsd.port.options.mk>
+
+.if defined(WITH_KDE4)
+USE_KDE4+=     kdelibs kdeprefix
+CMAKE_ARGS+=   -DWITH_KDE4=yes
+.endif
+
  .include <bsd.port.pre.mk>

  .if defined(WITH_AUDIOFILE)
@@ -53,11 +59,6 @@
  CMAKE_ARGS+=   -DWITHOUT_GSM=yes
  .endif

-.if defined(WITH_KDE4)
-USE_KDE4+=     kdelibs kdeprefix
-CMAKE_ARGS+=   -DWITH_KDE4=yes
-.endif
-
  .if defined(WITH_PHONON)
  QT_COMPONENTS+=        phonon
  CMAKE_ARGS+=   -DKDE4_LIB_INSTALL_DIR=${KDE4_PREFIX}/lib \
@@ -66,6 +67,8 @@
  CMAKE_ARGS+=   -DWITHOUT_PHONON=yes
  .endif

+CMAKE_ARGS=    -DWITHOUT_ESD=yes -DWITHOUT_DOXYGEN=yes
+
  post-configure:
         @${MV} ${WRKSRC}/data/protocols/irc.protocol 
${WRKSRC}/data/protocols/kvirc.protocol
         @${MV} ${WRKSRC}/data/protocols/irc6.protocol 
${WRKSRC}/data/protocols/kvirc6.protocol

---





-- 
  Best regards, Andrei V. Lavreniyuk.
Comment 9 Chris Petrik 2009-09-16 20:52:21 UTC
Hello,

I am fixing my cvs repo perm issue, What exacly does the above patch do/fix
heh?

I will post a patch after this perm issue is resolved.

Christopher Petrik
http://www.officialunix.com

Random Quote of the day:
Stephen Leacock<http://www.brainyquote.com/quotes/authors/s/stephen_leacock.html>
- "I detest life-insurance agents: they always argue that I shall some
day
die, which is not so."
Comment 10 Chris Petrik 2009-09-16 23:19:00 UTC
Hello,

The patch is now uploaded, please test.

Sorry for the delay :)
http://files.officialunix.com/patch-kvirc-devel-fix-svn

Christopher Petrik
http://www.officialunix.com

Random Quote of the day:
Pablo Picasso<http://www.brainyquote.com/quotes/authors/p/pablo_picasso.html>
- "Computers are useless. They can only give you answers."
Comment 11 Chris Petrik 2009-09-16 23:59:46 UTC
Patch.

-- 

Chris Petrik
Consulting: http://www.officialunix.com
BSD Site: http://www.bsdjunk.com
FreeBSD ports contributor
Since 18-July-2009
Comment 12 Andrei V. Lavreniyuk 2009-09-17 09:35:22 UTC
Hi!



Gud patch. Compile fine. Please commit to ports.

Big thanks!




-- 
  Best regards, Andrei V. Lavreniyuk.
Comment 13 Chris Petrik 2009-09-17 20:20:33 UTC
Hello,

Patch works fine, please commit.

Christopher Petrik
http://www.officialunix.com

Random Quote of the day:
Stephen Leacock<http://www.brainyquote.com/quotes/authors/s/stephen_leacock.html>
- "I detest life-insurance agents: they always argue that I shall some
day
die, which is not so."
Comment 14 dfilter service freebsd_committer 2009-09-18 07:07:47 UTC
makc        2009-09-18 06:07:33 UTC

  FreeBSD ports repository

  Modified files:
    irc/kvirc-devel      Makefile pkg-plist 
  Log:
  - Fix build when subversion is installed [1]
  - Allow build with KDE4 [2]
  - fix build on 6.x
  - sort plist
  
  PR:             ports/138832
  Submitted by:   Andrei Lavreniyuk [2]
  Patched by:     Chris Petrik (maintainer) [1],[2]
  Feature safe:   yes
  
  Revision  Changes    Path
  1.60      +24 -8     ports/irc/kvirc-devel/Makefile
  1.18      +93 -91    ports/irc/kvirc-devel/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 15 Max Brazhnikov freebsd_committer 2009-09-18 07:08:00 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!